Package ghidra.xml

# Class XmlPullParserFactory

java.lang.Object
ghidra.xml.XmlPullParserFactory

public class XmlPullParserFactory extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XmlPullParserFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static XmlPullParser`
  `create(ResourceFile file, ErrorHandler errHandler, boolean validate)`
  Constructs a new parser using the specified XML file.
  `static XmlPullParser`
  `create(File file, ErrorHandler errHandler, boolean validate)`
  Constructs a new parser using the specified XML file.
  `static XmlPullParser`
  `create(InputStream input, String inputName, ErrorHandler errHandler, boolean validate)`
  Constructs a new parser using the specified stream and name.
  `static XmlPullParser`
  `create(String input, String inputName, ErrorHandler errHandler, boolean validate)`
  Constructs a new parser using the specified XML file.
  `static void`
  `setCreateTracingParsers(XmlTracer xmlTracer)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XmlPullParserFactory

    public XmlPullParserFactory()

- ## Method Details

  - ### setCreateTracingParsers

    public static void setCreateTracingParsers(XmlTracer xmlTracer)

  - ### create

    public static XmlPullParser create(InputStream input, String inputName, ErrorHandler errHandler, boolean validate) throws SAXException, IOException
    Constructs a new parser using the specified stream and name.
    Parameters:
      `input` - the input XML stream
      `inputName` - the name of the stream
      `errHandler` - the XML error handler
      `validate` - true if the parse should validate against the DTD
    Throws:
      `SAXException` - if an XML parse error occurs
      `IOException`

  - ### create

    public static XmlPullParser create(File file, ErrorHandler errHandler, boolean validate) throws SAXException, IOException
    Constructs a new parser using the specified XML file.
    Parameters:
      `file` - the input XML file
      `errHandler` - the XML error handler
      `validate` - true if the parse should validate against the DTD
    Throws:
      `SAXException` - if an XML parse error occurs
      `IOException` - if an i/o error occurs

  - ### create

    public static XmlPullParser create(ResourceFile file, ErrorHandler errHandler, boolean validate) throws SAXException, IOException
    Constructs a new parser using the specified XML file.
    Parameters:
      `file` - the input XML file
      `errHandler` - the XML error handler
      `validate` - true if the parse should validate against the DTD
    Throws:
      `SAXException` - if an XML parse error occurs
      `IOException` - if an i/o error occurs

  - ### create

    public static XmlPullParser create(String input, String inputName, ErrorHandler errHandler, boolean validate) throws SAXException
    Constructs a new parser using the specified XML file.
    Parameters:
      `input` - A string that contains the XML input data
      `inputName` - A descriptive name for the XML process (this will appear as the thread name)
      `errHandler` - the XML error handler
      `validate` - true if the parse should validate against the DTD
    Throws:
      `SAXException` - if an XML parse error occurs